<?php

namespace Jazzaaf\xenAntiVirus;

use XF\AddOn\AbstractSetup;
use XF\Db\Schema\Create;

class Setup extends AbstractSetup
{
	use \XF\AddOn\StepRunnerInstallTrait;
	use \XF\AddOn\StepRunnerUpgradeTrait;
	use \XF\AddOn\StepRunnerUninstallTrait;
	
	public function install(array $stepParams = [])
	{
		$this->schemaManager()->createTable('xf_jz_antivirus_check', function (Create $table) {
			$table->addColumn('check_id', 'int')->autoIncrement();
			$table->addColumn('attachment_id', 'int');
			$table->addColumn('data_id', 'int');
			$table->addColumn('user_id', 'int');
			$table->addColumn('last_check_date', 'int', 11)->setDefault(0);
			$table->addColumn('moderator_id', 'int', 11)->setDefault(0);
			$table->addColumn('check_status', 'enum', array('clean', 'infected', 'failed', 'pending', 'unchecked'))->setDefault('unchecked');
			$table->addColumn('file_hash', 'varchar', 64)->setDefault('');
			$table->addColumn('last_error', 'varchar', 255)->setDefault('');
			$table->addColumn('last_message', 'varchar', 255)->setDefault('');
			$table->addColumn('scan_url', 'varchar', 255)->setDefault('');
			$table->addPrimaryKey('check_id'); 
		});
	}

	public function upgrade(array $stepParams = [])
	{
		// TODO: Implement upgrade() method.
	}

	public function uninstall(array $stepParams = [])
	{
		$this->schemaManager()->dropTable('xf_jz_antivirus_check');
	}
}