<?php
namespace Jazzaaf\xenAntiVirus\XF\Attachment;

use XF\Entity\Attachment;
use XF\Entity\AttachmentData;


class Post extends XFCP_Post
{
    public function onNewAttachment(Attachment $attachment, \XF\FileWrapper $file)
    {
    
    	// get visitor
		$visitor = \XF::visitor();
        $options = \XF::options();
    	$excludedTypes_array = [];
    	
    	$file_ext = $file->getExtension();
    	
    	$excludedTypes = $options->jz_xenAntiVirus_excluded_file_types;
    	
    	if ($excludedTypes) {
    	
    	$excludedTypes_array = preg_split('/\r\n|\r|\n/', $excludedTypes);;
    	
    	}
        
        // record the new attachment to the xenAntiVirus table
        $attachmentCheck = \XF::em()->create('Jazzaaf\xenAntiVirus:AttachmentCheck');
        $attachmentCheck->attachment_id = $attachment->attachment_id;
        $attachmentCheck->data_id = $attachment->data_id;
        $attachmentCheck->user_id = $visitor->user_id;
        $attachmentCheck->last_check_date = \XF::$time;
        $attachmentCheck->moderator_id = 0;
        
        if (($visitor->isMemberOf($options->jz_xenAntiVirus_excluded_groups)) || (in_array($file_ext, $excludedTypes_array))) {
        	$attachmentCheck->check_status = "clean";
        } else {
        	$attachmentCheck->check_status = "unchecked";
        }
        
        $attachmentCheck->file_hash = '';
        $attachmentCheck->last_error = 'No Error';
        $attachmentCheck->last_message = 'No Message';
        $attachmentCheck->scan_url = '';
        $attachmentCheck->save();

        return parent::onNewAttachment($attachment, $file);
    }

}